Bug 10932 - invalid free in pdb_tdb
invalid free in pdb_tdb
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.2.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-11 13:41 UTC by Volker Lendecke
Modified: 2014-11-18 19:19 UTC (History)
1 user (show)

See Also:


Attachments
Patch (838 bytes, patch)
2014-11-11 13:41 UTC, Volker Lendecke
ddiss: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volker Lendecke 2014-11-11 13:41:35 UTC
Created attachment 10426 [details]
Patch

There's a talloc/safe_free in pdb_tdb
Comment 1 Volker Lendecke 2014-11-11 13:44:11 UTC
Applies cleanly (with git am -3) back to v3-6-test
Comment 2 Karolin Seeger 2014-11-17 20:02:18 UTC
Pushed to autobuild-v4-[0|1|2]-test.

Please note that the usual procedure is to add the patchsets including the bug number in the commit message to the bug report and add separate review flags, because the review is only valid for one branch. It might (and did) happen that a patch is valid for master, but wrong for e.g. v4-1-test although applying cleanly. Thanks!
Comment 3 Volker Lendecke 2014-11-17 20:31:09 UTC
I herewith pull back this patch. I did not want to port this back because it is not a user-reported issue. I did not follow the rules, so please stop the autobuild.

Thanks,

Volker
Comment 4 David Disseldorp 2014-11-18 02:53:25 UTC
(In reply to Volker Lendecke from comment #3)
> I herewith pull back this patch. I did not want to port this back because it is
> not a user-reported issue. I did not follow the rules, so please stop the
> autobuild.

I don't understand your hesitation here. IMO this fixes an obvious bug, and the change is clearly correct.
It looks like it's already made it into the maintenance branches, so I'll change the status to fix.
Comment 5 Karolin Seeger 2014-11-18 19:16:55 UTC
(In reply to Volker Lendecke from comment #3)
Volker, please!

Sorry for trying to avoid mistakes.
Some people want me to be picky, others are offended.

And no, I don't revert anything.
Comment 6 Karolin Seeger 2014-11-18 19:19:34 UTC
(In reply to David Disseldorp from comment #4)
Thanks, David!

The v4-0-test autobuild failed (obviously not because of this fix!).

Pushed to v4-2-test and v4-1-test.